# $EPIC: action,v 1.2 2002/08/31 23:11:45 brian Exp $
Synopsis:
   on [<modes>]action [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client observes a CTCP ACTION.  It
   will hook when the recipient is either the user or a channel.

Parameters:
   $0    nickname of the ACTION sender
   $1    target of the ACTION (user's nickname or a channel)
   $2-   message body of the ACTION

Examples:
   To distinguish personal actions from those sent to a channel:
      on ^action "*" {
         if ([$1] == servernick()) {
            echo *> $0 $2-
         } else if (iscurchan($1)) {
            echo * $0 $2-
         } else {
            echo * $0/$1 $2-
         }
      }

See Also:
   ctcp(1) action; describe(1); me(1); on(5) send_action

